Bug 1023423 - [RFE] resize to maximum satisfiable dimension when some of requested dimensins exceed them
[RFE] resize to maximum satisfiable dimension when some of requested dimensin...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: David Blechter
Shai Revivo
spice
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 07:39 EDT by David Jaša
Modified: 2016-02-10 15:20 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-22 11:47:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Spice
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-10-25 07:39:00 EDT
Description of problem:
resize to maximum satisfiable dimension when some of requested dimensins exceed them. This is a kind of follow-up to bug 863488 - when user resizes the window in a way that one or both dimensions exceed maximum resolution supported by driver, no resize occurs. IMO the resolution should be changed to maximum that can be set - [x = min(requested_x, maximum_supported_x), y = min(requested_y, maximum_supported_y)].

Version-Release number of selected component (if applicable):
qxl-win-0.1-19

How reproducible:
always

Steps to Reproduce:
1. resize window so that x dimension of spice widget exceeds 2560 (or actual maximum x dimension at time of verification) and y dimension changes within supported limits
2.
3.

Actual results:
no resolution change takes place

Expected results:
x is resized to 2560
y is resized to desired size

Additional info:
Comment 2 Marc-Andre Lureau 2014-08-11 13:44:21 EDT
I think it should be an RFE, it sounds like a nice idea however

It's not obvious for the agent to know the reason of failure, and it doesn't know the max size of the surface0 either. It will be a bit tricky to keep aspect ratio. Getting a resolution that is not what you requested might be worse than keeping currently working configuration.(imagine off by 1, you get scaling artefact, and it's hard to tell if it's device fault or client fault etc). I am marking this as conditional devel nack for now.
Comment 3 RHEL Product and Program Management 2014-08-11 13:46:11 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.
Comment 4 David Blechter 2014-08-11 13:53:49 EDT
moving to the RFEs component
Comment 6 Itamar Heim 2015-03-22 11:47:08 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.